CoCoA-5 - Support #1148

Release CoCoA-5.2.4
17 Jan 2018 11:58 - Anna Maria Bigatti

Status: Closed Start date: 17 Jan 2018
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: Release Estimated time: 0.00 hour
Target version: CoCoA-5.2.4 Spent time: 2.00 hours
Description

Everything for the release

. Redmine Roadmap: close or postpone issue

. Redmine Release issues: check percentages, check timings

. Last check to CoCoALib doc, CoCoA-5 doc and RelNotes, TranslationTable.
. Finalize

A OND =

1. <version number for CoCoALib release> configuration/version
. <version number for CoCoA-5 release> CoCoA-5/release-files/version
. <cvs checkout in snapshot dir>

w N

. cd <snapshotdir>

. configure --again

. make

. cd src/CoCoA-5

. time make doc

.time make ManExamples (~4min, and search "ERROR:" in ManExamples-out)

OOk wWND =

RELEASE FOR MAC FOR LINUX

1. cd src/CoCoA-5/release-files
2. /release-mac.sh (local)
3. ./release-linux.sh (on virtual machine 64-bit and on 32-bit)

RELEASE COCOALIB

1. <~/shell-scripts/cocoalib-cvs-snapshot>
2. ---- make release for CoCoALib ----

RELEASE FOR WIN

1. copy cocoalib tgz on windows virtual machine

2. compile windows text version on virtual machine, copy CoCoAlnterpreter from SharedFolder into local dir
3. ./release-win.sh

4. (ask someone for windows gui version...)

WEBSITE
1. update /Volumes/WWW)/webcocoa/download/download5.shtml

2. update /Volumes/WWW)/webcocoa/download/RelNotes.shtml
[[http://cocoa.dima.unige.it/download/RelNotes.shtml]]

1. upload manual
2. publish manual (arXiv? ResearchGate?)

1. close release on Redmine
---> send message to facebook page

---> send email
---> update list with undelivered emails

Related issues:
http://cocoa.dima.unige.it/download/RelNotes.shtml

Related to CoCoA-5 - Support #1061: Release: CoCoA-5.2.2 Closed
Related to CoCoA-5 - Design #1120: Web site Closed
Related to CoCoALib - Support #1096: WEB SITE: HTML is not clean! New

Related to CoCoALib - Support #1149: Release: CoCoALib-0.99600 (together wit... Closed

01 Aug 2014
13 Nov 2017
29 Aug 2017
17 Jan 2018

06 Aug 2018

History

#1 - 17 Jan 2018 11:59 - Anna Maria Bigatti
- Related to Support #1061: Release: CoCoA-5.2.2 added

#2 - 17 Jan 2018 11:59 - Anna Maria Bigatti
- Related to Design #1120: Web site added

#3 - 17 Jan 2018 11:59 - Anna Maria Bigatti
- Related to Support #1096: WEB SITE: HTML is not clean! added

#4 - 17 Jan 2018 12:00 - Anna Maria Bigatti

- Related to Design #1124: Move examples directory into doc -- or just change makefile? added

#5 - 17 Jan 2018 12:00 - Anna Maria Bigatti
- Category set to Release
- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.2.4

#6 - 17 Jan 2018 12:00 - Anna Maria Bigatti

- Related to deleted (Design #1124: Move examples directory into doc -- or just change makefile?)

#7 - 17 Jan 2018 12:05 - Anna Maria Bigatti
- Tracker changed from Bug to Support

#8 - 17 Jan 2018 12:08 - Anna Maria Bigatti
- Related to Support #1149: Release: CoCoALib-0.99600 (together with CoCoA-5.2.4) added

#9 - 30 Jul 2018 14:32 - Anna Maria Bigatti
- % Done changed from 0 to 20

#10 - 06 Aug 2018 16:22 - Anna Maria Bigatti
- Status changed from New to In Progress

- % Done changed from 20 to 30

#11 - 07 Aug 2018 14:35 - Anna Maria Bigatti
- Description updated

- % Done changed from 30 to 50
#12 - 09 Aug 2018 10:35 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
